# -*- coding: utf-8 -*-
"""English language translation

.. module:: client.translation.en.messages
   :platform: Windows, Unix
   :synopsis: English language translation
.. moduleauthor:: Petr Rašek <bowman@hydratk.org>

"""

language = {
    'name': 'English',
    'ISO-639-1': 'en'
}

msg = {
    'htk_core_started' : "Application started",
    'htk_core_stopped' : "Application stopped",
    'htk_core_project_created' : "Project {0} created",
    'htk_core_project_deleted' : "Project {0} deleted",
    'htk_core_helper_created' : "Helper {0} created",
    'htk_core_library_created' : "Library {0} created",
    'htk_core_test_created' : "Test {0} created",
    'htk_core_archive_created' : "Archive {0} created",
    'htk_core_draft_created' : "Draft {0} created",
    'htk_core_file_opened': "File {0} opened",
    'htk_core_file_saved': "File {0} saved",
    'htk_core_file_deleted': "File {0} deleted",
    'htk_core_directory_created' : "Directory {0} created",
    'htk_core_directory_deleted' : "Directory {0} deleted",
    'htk_core_copied' : "{0} copied to {1}",
    'htk_core_invalid_yaml' : "File {0} has invalid YAML content",

    'htk_gui_menu_file' : "File",
    'htk_gui_menu_file_new' : "New",
    'htk_gui_menu_file_new_file' : "File",
    'htk_gui_menu_file_new_directory' : 'Directory',
    'htk_gui_menu_file_new_project' : "Project",
    'htk_gui_menu_file_new_helper' : "Helper",
    'htk_gui_menu_file_new_library' : "Library",
    'htk_gui_menu_file_new_test' : "Test",
    'htk_gui_menu_file_new_archive' : "Archive",
    'htk_gui_menu_file_new_draft' : "Draft",
    'htk_gui_menu_file_open' : "Open",
    'htk_gui_menu_file_save_as': "Save As",
    'htk_gui_menu_file_save': "Save",
    'htk_gui_menu_file_exit' : "Exit",
    'htk_gui_menu_edit' : "Edit",
    'htk_gui_menu_edit_undo' : "Undo",
    'htk_gui_menu_edit_redo' : "Redo",
    'htk_gui_menu_edit_cut' : "Cut",
    'htk_gui_menu_edit_copy' : "Copy",
    'htk_gui_menu_edit_paste' : "Paste",
    'htk_gui_menu_edit_delete' : "Delete",
    'htk_gui_menu_edit_select_all' : "Select All",
    'htk_gui_menu_edit_goto' : "Goto",
    'htk_gui_menu_edit_find' : "Find",
    'htk_gui_menu_edit_replace' : "Replace",
    'htk_gui_menu_view' : "View",
    'htk_gui_menu_view_show_line_number' : "Line numbers",
    'htk_gui_menu_view_show_info_bar' : "Info bar",
    'htk_gui_menu_view_increase_font' : "Increase font",
    'htk_gui_menu_view_decrease_font' : "Decrease font",
    'htk_gui_menu_plugin' : "Plugin",
    'htk_gui_menu_plugin_manager' : "Plugin manager",
    'htk_gui_menu_help': "Help",
    'htk_gui_menu_help_web_tutor': "Web tutorial",
    'htk_gui_menu_help_web_doc': "Web documentation",
    'htk_gui_menu_help_about': "About",
    'htk_gui_exit_title': "Quit",
    'htk_gui_exit_question': "Do you really want to quit?",

    'htk_gui_explorer_label' : "Project Explorer",
    'htk_gui_explorer_menu_new' : "New",
    'htk_gui_explorer_menu_new_file' : "File",
    'htk_gui_explorer_menu_new_directory' : "Directory",
    'htk_gui_explorer_menu_new_project' : "Project",
    'htk_gui_explorer_menu_new_helper' : "Helper",
    'htk_gui_explorer_menu_new_library' : "Library",
    'htk_gui_explorer_menu_new_test' : "Test",
    'htk_gui_explorer_menu_new_archive' : "Archive",
    'htk_gui_explorer_menu_new_draft' : "Draft",
    'htk_gui_explorer_menu_open' : "Open",
    'htk_gui_explorer_menu_copy' : "Copy",
    'htk_gui_explorer_menu_paste' : "Paste",
    'htk_gui_explorer_menu_delete' : "Delete",
    'htk_gui_explorer_menu_refresh' : "Refresh",
    'htk_gui_explorer_delete' : "Delete",
    'htk_gui_explorer_delete_file' : "Do you want to delete file {0}?",
    'htk_gui_explorer_delete_directory' : "Do you want to delete directory {0}?",
    'htk_gui_explorer_delete_project' : "Do you want to delete project {0}?",

    'htk_gui_editor_label' : "Editor",
    'htk_gui_editor_menu_undo' : "Undo",
    'htk_gui_editor_menu_redo' : "Redo",
    'htk_gui_editor_menu_cut' : "Cut",
    'htk_gui_editor_menu_copy' : "Copy",
    'htk_gui_editor_menu_paste' : "Paste",
    'htk_gui_editor_menu_delete' : "Delete",
    'htk_gui_editor_menu_select_all' : "Select All",
    'htk_gui_editor_menu_goto' : "Goto",
    'htk_gui_editor_menu_find' : "Find",
    'htk_gui_editor_menu_replace' : "Replace",
    'htk_gui_editor_tab_new_text' : "New",
    'htk_gui_editor_filetypes' : "all files",
    'htk_gui_editor_close_save_title' : "Confirmation",
    'htk_gui_editor_close_save_question' : "File {0} was modified, do you want to save changes?",
    'htk_gui_editor_goto_title' : "Goto",
    'htk_gui_editor_goto_text' : "Row:",
    'htk_gui_editor_find_title' : "Find",
    'htk_gui_editor_find_text' : "Find:",
    'htk_gui_editor_find_find_all': "Find all",
    'htk_gui_editor_find_ignore_case': "Ignore case",
    'htk_gui_editor_find_regexp': "Regular expression",
    'htk_gui_editor_replace_title' : "Replace",
    'htk_gui_editor_replace_find' : "Find:",
    'htk_gui_editor_replace_replace' : "Replace:",
    'htk_gui_editor_replace_replace_all' : "Replace all",
    'htk_gui_editor_replace_ignore_case' : "Ignore case",
    'htk_gui_editor_replace_regexp' : "Regular expression",

    'htk_gui_yoda_tree_label' : "Yoda tree",
    'htk_gui_yoda_tree_menu_add_scenario' : "Add test scenario",
    'htk_gui_yoda_tree_menu_add_case' : "Add test case",
    'htk_gui_yoda_tree_menu_add_condition' : "Add test condition",
    'htk_gui_yoda_tree_menu_add_prereq' : "Add pre-requirements",
    'htk_gui_yoda_tree_menu_add_postreq' : "Add post-requirements",
    'htk_gui_yoda_tree_menu_add_events' : "Add events",

    'htk_gui_log_label' : "Log",
    'htk_gui_log_menu_clear' : "Clear",

    'htk_gui_plugin_manager_title' : "Plugin manager",
    'htk_gui_plugin_manager_name' : "Plugin",
    'htk_gui_plugin_manager_enabled' : "Enabled",
    'htk_gui_plugin_manager_save' : "Save",

    'htk_gui_help_about_title' : "About HydraTK client"
}
